import { BrowserRouter, Routes, Route } from 'react-router-dom';
import { Hand } from 'lucide-react';
import Navbar from './components/Navbar';
import HomePage from './pages/HomePage';
import AdminPage from './pages/AdminPage';
import MatchDetailPage from './pages/MatchDetailPage';
import StatusPage from './pages/StatusPage';

function App() {
  return (
    <BrowserRouter>
      <div className="min-h-screen bg-gray-900 text-white">
        <Navbar />
        <main className="container mx-auto px-4 py-8">
          <Routes>
            <Route path="/" element={<HomePage />} />
            <Route path="/admin" element={<AdminPage />} />
            <Route path="/match/:id" element={<MatchDetailPage />} />
            <Route path="/status" element={<StatusPage />} />
          </Routes>
        </main>
        <footer className="bg-gray-800 py-6 mt-12">
          <div className="container mx-auto px-4 flex items-center justify-between">
            <div className="flex items-center gap-2">
              <Hand size={24} className="text-blue-500" />
              <span className="font-bold">Handball Tickets</span>
            </div>
            <p className="text-gray-400">&copy; 2025 All rights reserved</p>
          </div>
        </footer>
      </div>
    </BrowserRouter>
  );
}

export default App;